routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*
Route::get('/', function () {
    return view('auth.login');
});
*/
//Auth::routes();
//Route::get('/home', 'HomeController@index')->name('home');


Auth::routes();

//Route::get('/home', 'HomeController@index');

Route::group(['middleware' => 'auth'], function () {
    Route::get('/home', 'HomeController@index')->name('home');

    Route::resource('cities', 'CityController');
    Route::view('cities/browse/file', 'cities.upload'); //only in laravel 5.5
    Route::post('cities/upload', ['uses' => 'CityController@upload']);
    Route::post('cities/download', ['uses' => 'CityController@download']);

    Route::resource('districts', 'DistrictController');
    Route::view('districts/browse/file', 'districts.upload');
    Route::post('districts/upload', ['uses' => 'DistrictController@upload']);
    Route::post('districts/download', ['uses' => 'DistrictController@download']);

    Route::resource('microDistricts', 'MicroDistrictController');
    Route::view('microDistricts/browse/file', 'micro_districts.upload');
    Route::post('microDistricts/upload', ['uses' => 'MicroDistrictController@upload']);
    Route::post('microDistricts/download', ['uses' => 'MicroDistrictController@download']);

    //Route::group(['middleware' => ['role:admin']], function () {
        Route::resource('dealTypes', 'DealTypeController');

        Route::resource('objectTypes', 'ObjectTypeController');
    //});

    Route::resource('objects', 'ObjectController');
    Route::view('objects/browse/file', 'objects.upload');
    Route::post('objects/upload', ['uses' => 'ObjectController@upload']);
    Route::post('objects/download', ['uses' => 'ObjectController@download']);


    Route::resource('roles', 'RoleController');

    Route::resource('users', 'UserController');
});





Route::resource('logs', 'LogController');

Route::resource('developers', 'DeveloperController');

app/Http/Controllers/ObjectTypeController.php
<?php

namespace App\Http\Controllers;

use App\DataTables\ObjectTypeDataTable;
use App\Http\Requests;
use App\Http\Requests\CreateObjectTypeRequest;
use App\Http\Requests\UpdateObjectTypeRequest;
use App\Repositories\ObjectTypeRepository;
use Doctrine\DBAL\Types\ObjectType;
use Flash;
use App\Http\Controllers\AppBaseController;
use Response;

class ObjectTypeController extends AppBaseController
{
    /** @var  ObjectTypeRepository */
    private $objectTypeRepository;

    public function __construct(ObjectTypeRepository $objectTypeRepo)
    {
        $this->objectTypeRepository = $objectTypeRepo;
    }

    /**
     * Display a listing of the ObjectType.
     *
     * @param ObjectTypeDataTable $objectTypeDataTable
     * @return Response
     */
    public function index(ObjectTypeDataTable $objectTypeDataTable)
    {
        return $objectTypeDataTable->render('object_types.index');
    }

    /**
     * Show the form for creating a new ObjectType.
     *
     * @return Response
     */
    public function create()
    {
        return view('object_types.create');
    }

    /**
     * Store a newly created ObjectType in storage.
     *
     * @param CreateObjectTypeRequest $request
     *
     * @return Response
     */
    public function store(CreateObjectTypeRequest $request)
    {
        $input = $request->all();

        $objectType = $this->objectTypeRepository->create($input);

        Flash::success('Object Type saved successfully.');

        return redirect(route('objectTypes.index'));
    }

    /**
     * Display the specified ObjectType.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $objectType = $this->objectTypeRepository->findWithoutFail($id);

        if (empty($objectType)) {
            Flash::error('Object Type not found');

            return redirect(route('objectTypes.index'));
        }

        return view('object_types.show')->with('objectType', $objectType);
    }

    /**
     * Show the form for editing the specified ObjectType.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        $objectType = $this->objectTypeRepository->findWithoutFail($id);

        if (empty($objectType)) {
            Flash::error('Object Type not found');

            return redirect(route('objectTypes.index'));
        }

        return view('object_types.edit')->with('objectType', $objectType);
    }

    /**
     * Update the specified ObjectType in storage.
     *
     * @param  int              $id
     * @param UpdateObjectTypeRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateObjectTypeRequest $request)
    {
        $objectType = $this->objectTypeRepository->findWithoutFail($id);

        if (empty($objectType)) {
            Flash::error('Object Type not found');

            return redirect(route('objectTypes.index'));
        }

        $objectType = $this->objectTypeRepository->update($request->all(), $id);

        Flash::success('Object Type updated successfully.');

        return redirect(route('objectTypes.index'));
    }

    /**
     * Remove the specified ObjectType from storage.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        $objectType = $this->objectTypeRepository->findWithoutFail($id);

        if (empty($objectType)) {
            Flash::error('Object Type not found');

            return redirect(route('objectTypes.index'));
        }

        $relatedObjects =\App\Models\ObjectType::has('objectTypeObjects')->where('id',$id)->count();
        if($relatedObjects){
            Flash::error('Сначала удалите объекты, связанные с этим типом');
            return redirect(route('objectTypes.index'));
        }
        else{
            $this->objectTypeRepository->delete($id);
            Flash::success('Object Type deleted successfully.');
            return redirect(route('objectTypes.index'));
        }


    }
}

resources/views/object_types/create.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1>
            Типы объекта
        </h1>
    </section>
    <div class="content">
        @include('adminlte-templates::common.errors')
        <div class="box box-primary">

            <div class="box-body">
                <div class="row">
                    {!! Form::open(['route' => 'objectTypes.store']) !!}

                        @include('object_types.fields')

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/object_types/datatables_actions.blade.php
{!! Form::open(['route' => ['objectTypes.destroy', $id], 'method' => 'delete']) !!}
<div class='btn-group'>
    <a href="{{ route('objectTypes.show', $id) }}" class='btn btn-default btn-xs'>
        <i class="glyphicon glyphicon-eye-open"></i>
    </a>
    <a href="{{ route('objectTypes.edit', $id) }}" class='btn btn-default btn-xs'>
        <i class="glyphicon glyphicon-edit"></i>
    </a>
    {!! Form::button('<i class="glyphicon glyphicon-trash"></i>', [
        'type' => 'submit',
        'class' => 'btn btn-danger btn-xs',
        'onclick' => "return confirm('Are you sure?')"
    ]) !!}
</div>
{!! Form::close() !!}

resources/views/object_types/edit.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1>
            Типы объекта
        </h1>
   </section>
   <div class="content">
       @include('adminlte-templates::common.errors')
       <div class="box box-primary">
           <div class="box-body">
               <div class="row">
                   {!! Form::model($objectType, ['route' => ['objectTypes.update', $objectType->id], 'method' => 'patch']) !!}

                        @include('object_types.fields')

                   {!! Form::close() !!}
               </div>
           </div>
       </div>
   </div>
@endsection

resources/views/object_types/fields.blade.php
<!-- Object Type Field -->
<div class="form-group col-sm-6">
    {!! Form::label('object_type', 'Object Type:') !!}
    {!! Form::text('object_type', null, ['class' => 'form-control']) !!}
</div>

<!-- Name Field -->
<div class="form-group col-sm-6">
    {!! Form::label('name', 'Name:') !!}
    {!! Form::text('name', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Сохранить', ['class' => 'btn btn-primary']) !!}
    <a href="{!! route('objectTypes.index') !!}" class="btn btn-default">Отмена</a>
</div>

resources/views/object_types/index.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1 class="pull-left">Типы объекта</h1>
        <h1 class="pull-right">
           <a class="btn btn-primary btn-sm pull-right" style="" href="{!! route('objectTypes.create') !!}">&#43; Добавить новый тип объекта</a>
        </h1>
    </section>
    <div class="content">
        <div class="clearfix"></div>

        @include('flash::message')

        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                    @include('object_types.table')
            </div>
        </div>
        <div class="text-center">
        
        </div>
    </div>
@endsection

resources/views/object_types/show.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1>
            Object Type
        </h1>
    </section>
    <div class="content">
        <div class="box box-primary">
            <div class="box-body">
                <div class="row" style="padding-left: 20px">
                    @include('object_types.show_fields')
                    <a href="{!! route('objectTypes.index') !!}" class="btn btn-default">Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/object_types/show_fields.blade.php
<!-- Id Field -->
<div class="form-group">
    {!! Form::label('id', 'Id:') !!}
    <p>{!! $objectType->id !!}</p>
</div>

<!-- Object Type Field -->
<div class="form-group">
    {!! Form::label('object_type', 'Object Type:') !!}
    <p>{!! $objectType->object_type !!}</p>
</div>

<!-- Name Field -->
<div class="form-group">
    {!! Form::label('name', 'Name:') !!}
    <p>{!! $objectType->name !!}</p>
</div>

<!-- Created At Field -->
<div class="form-group">
    {!! Form::label('created_at', 'Created At:') !!}
    <p>{!! $objectType->created_at !!}</p>
</div>

<!-- Updated At Field -->
<div class="form-group">
    {!! Form::label('updated_at', 'Updated At:') !!}
    <p>{!! $objectType->updated_at !!}</p>
</div>

resources/views/object_types/table.blade.php
@section('css')
    @include('layouts.datatables_css')
@endsection

{!! $dataTable->table(['width' => '100%']) !!}

@section('scripts')
    @include('layouts.datatables_js')
    {!! $dataTable->scripts() !!}
@endsection